hplip (3.23.12+dfsg0-0ubuntu5.1) noble-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2026-8631_8632.patch: fix multiple security issues in
      base/CdmWifi.py, base/device.py, base/utils.py, common/utils.h,
      prnt/hpcups/genPCLm.cpp, prnt/hpcups/Hbpl1.cpp,
      prnt/hpcups/Hbpl1_Wrapper.cpp.
    - CVE-2026-8631
    - CVE-2026-8632

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jun 2026 14:59:18 -0400

hplip (3.23.12+dfsg0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:39:41 +0000

hplip (3.23.12+dfsg0-0ubuntu4) noble; urgency=medium

  * Fix FTBFS on armhf due to implicit functions

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 22 Mar 2024 15:40:13 +0100

hplip (3.23.12+dfsg0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:50:24 +1300

hplip (3.23.12+dfsg0-0ubuntu2) noble; urgency=low

  * 0086-hplip-use-raw-strings.patch: Zdenek Dohnal's patch from upstream
    bug LP: #2029480 (adapted where needed) to fix SyntaxWarnings coming
    up with Python 3.12 (LP: #2054869).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 13 Mar 2024 20:30:08 +0100

hplip (3.23.12+dfsg0-0ubuntu1) noble; urgency=low

  * Update to new upstream version 3.23.12+dfsg0
  * Manually updated patches:
    - 0005-Cope-with-prnt-hpcups-ErnieFilter.-cpp-h-removal-by-.patch
    - 0020-In-hp-scan-s-manpage-sort-PAGE_SIZES-in-help-for-the.patch
    - 0029-Call-QMessageBox-constructors-of-PyQT5-with-the-corr.patch
    - 0034-Fix-some-typos-in-BUG-and-DBG-messages.patch
    - 0064-Fix-AttributeError-when-connecting-to-printer-via-wi.patch
    - 0069-Fixing-issues-found-by-coverity-scan.patch
    - 0074-py3.8-Fix-SyntaxWarning-is-is-not-with-a-literal.patch
  * Removed patch:
    - 0083-add-format-string-to-snprintf.patch
  * Refreshed some of the other patches.
  * 0084-Replace-readfp-by-read-file.patch: In Python's configparser
    module readfp() is replaced by read_file().
  * 0085-Fix-hp-color-laserjet-mfp-e78635-ps-ppd.patch: Fixed broken
    PostScript PPD file for HP Color LaserJet MFP E78635.
  * Install new hpcdmfax filter.
  * Merge from Debian unstable. Remaining changes:
    - Lower the python3-reportlab depends to a suggests to not have to MIR
      python-rlpycairo now, reportlab is only needed for unused fax utils.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 27 Feb 2024 14:46:08 +0100

hplip (3.22.10+dfsg0-4) unstable; urgency=medium

  * libsane-hpaio: move 56-hpmud.rules to /usr.
    Includes protective diversion against m-a: same file loss on upgrades.
    Diversion can be removed in forky+1. (Closes: #1056724)
    (thanks a lot to Christian Hofstaedtler for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Dec 2023 10:39:02 +0100

hplip (3.22.10+dfsg0-3) unstable; urgency=medium

  * debian/control: replace policykit-1 by pkexec, polkitd
                    (Closes: #1025574)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 14 Sep 2023 22:39:02 +0200

hplip (3.22.10+dfsg0-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:47:21 +0000

hplip (3.22.10+dfsg0-2ubuntu1) mantic; urgency=medium

  * debian/control:
    - lower the python3-reportlab depends to a suggests to not have to MIR
      python-rlpycairo now, reportlab it's only needed for unused fax utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Sep 2023 17:01:06 +0200

hplip (3.22.10+dfsg0-2) unstable; urgency=medium

  * rework patch that uses distro module (0075 at the moment)
    Thanks to Mark Hindley and others for detecting and fixing this!
    (Closes: #1010805, #1029459, #1030043, #1031233, #1031784)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Mar 2023 00:39:02 +0100

hplip (3.22.10+dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 3.22.10+dfsg0.
  * (the next upload with updated/new patches will follow soon)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Jan 2023 11:39:02 +0100

hplip (3.22.6+dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 3.22.6+dfsg0.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 16 Aug 2022 01:27:10 +0000

hplip (3.22.4+dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 3.22.4+dfsg0.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 May 2022 23:46:23 +0200

hplip (3.22.2+dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 3.22.2+dfsg0.
  * add 0082-Some-of-the-print-modes-for-DeskJet-815C-are-incorre.patch
    (Closes: #1007937)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Mar 2022 23:45:50 +0100

hplip (3.21.12+dfsg0-1) unstable; urgency=medium

  * Update to new upstream version 3.21.12+dfsg0.
  * debian/control: update VCS entries due to broken git repository
  * debian/rules: in case directory is empty delete it
  * debian/copyright: fix syntax error

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 21 Jan 2022 22:11:23 +0000

hplip (3.21.8+dfsg0-2) unstable; urgency=medium

  * upload to unstable
  * debian/DEBIAN_NEW_UPSTREAM: how to build new upstream version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Sep 2021 23:47:30 +0200

hplip (3.21.8+dfsg0-1) experimental; urgency=medium

  * Update to new upstream version 3.21.8+dfsg0.
  * upload to experimental
  * debian/control: add myself to Uploaders:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Sep 2021 14:47:30 +0000

hplip (3.21.6+dfsg0-1) unstable; urgency=medium

  * New 3.21.6 upstream version, to unstable

  * Trim trailing whitespace
  * Fix d/watch file
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 08:37:33 +0200

hplip (3.21.4+dfsg0-1) experimental; urgency=medium

  * New 3.21.4 upstream version

  [ Fabrice Bauzac ]
  * Add README.source: explain how to contribute

  [ Didier Raboud ]
  * Pass --disable-imageProcessor-build to configure (imageProcessor binaries
    cannot be built, so don't build the binding code)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 May 2021 15:18:30 +0200

hplip (3.21.2+dfsg1-2+exp0) experimental; urgency=medium

  [ Didier Raboud ]
  * Drop outdated debian/README.source and debian/non-shipped-files.txt
  * List the not-installed files in… d/not-installed

  [ Fabrice Bauzac ]
  * Don't start hp-systray in GNOME (Closes: #793675)

 -- Didier Raboud <odyx@debian.org>  Fri, 30 Apr 2021 10:25:02 +0200

hplip (3.21.2+dfsg1-2) unstable; urgency=medium

  [ Bernhard Übelacker ]
  * Fix crash by increasing some variables' byte allocations
    (Closes: #972339)
  * Fix SIGABRT by grow m_pPrinterBuffer on each page, if needed
    (Closes: #974828)

  [ Didier Raboud ]
  * Polish patch queue (reorder, some renames)

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Mar 2021 14:20:56 +0100

hplip (3.21.2+dfsg1-1) unstable; urgency=medium

  * New 3.21.2 DFSG repack to re-remove compiled files from tarball:
    - Drop compiled locatedriver and prnt/plugins/*.so
    - Fix get-orig-source target

 -- Didier Raboud <odyx@debian.org>  Sun, 21 Feb 2021 19:25:55 +0100

hplip (3.21.2+dfsg0-1) unstable; urgency=medium

  * New 3.21.2 upstream version
  * Stop explicitly specifying -Wl,--as-needed linker flag

 -- Didier Raboud <odyx@debian.org>  Sun, 21 Feb 2021 17:45:25 +0100

hplip (3.20.11+dfsg0-3) unstable; urgency=medium

  [ Didier Raboud ]
  * Update d/watch to latest standards

  [ Maarten De Munck ]
  * Replace isAlive by is_alive on threading.Thread instances
    (Closes: #981580)

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Feb 2021 11:51:12 +0100

hplip (3.20.11+dfsg0-2) unstable; urgency=medium

  * Cleanup Uploaders, with thanks for their past work on hplip:
    - Drop Julian Andres Klode <jak> (Closes: #981829)
    - Drop Mark Purcell <msp>

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Feb 2021 16:40:44 +0100

hplip (3.20.11+dfsg0-1) unstable; urgency=medium

  * New 3.20.11 upstream version

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Dec 2020 13:45:16 +0100

hplip (3.20.9+dfsg0-4) unstable; urgency=medium

  * Drop the "test all printers" autopkgtests, to push 3.20.9 to bullseye

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Oct 2020 09:25:37 +0200

hplip (3.20.9+dfsg0-3) unstable; urgency=medium

  * Migrate 3.20.9 to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Oct 2020 19:32:04 +0200

hplip (3.20.9+dfsg0-2) experimental; urgency=medium

  * ci: For hpcups, also test _all_ drivers, but with one PDF only
  * 3.20.6+ regression: In models.dat, take 3.20.5's "plugin=1" for all models
    marked as needing the plugin for printing

 -- Didier Raboud <odyx@debian.org>  Sun, 04 Oct 2020 17:44:05 +0200

hplip (3.20.9+dfsg0-1) experimental; urgency=medium

  * New 3.20.9 upstream version
    - git debrebase to refresh patches
    - add libavahi-core-dev and libavahi-client-dev Build-Depends

 -- Didier Raboud <odyx@debian.org>  Sat, 03 Oct 2020 17:59:41 +0200

hplip (3.20.6+dfsg0-2) experimental; urgency=medium

  * Let IsChromeOS always return 0 (Closes: #940317)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Aug 2020 14:15:42 +0200

hplip (3.20.6+dfsg0-1) experimental; urgency=medium

  * New 3.20.6 upstream version
    - git debrebase to refresh the patches
  * Refresh d/copyright
  * Upload to experimental because of upstream bug #1883898 "version 3.20.6
    turns off plugin requirement for most printers" (while the plugin is
    apparently still needed)

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Jun 2020 22:26:12 +0200

hplip (3.20.5+dfsg0-3) unstable; urgency=medium

  * Import patch from Fedora to fix upstream CFLAGS override (Closes: #961028)

 -- Didier Raboud <odyx@debian.org>  Sun, 24 May 2020 17:56:09 +0200

hplip (3.20.5+dfsg0-2) unstable; urgency=medium

  * Fix non-amd64 libsane-hpaio.so non-installation

 -- Didier Raboud <odyx@debian.org>  Sat, 16 May 2020 13:42:36 +0200

hplip (3.20.5+dfsg0-1) unstable; urgency=medium

  * New 3.20.5 upstream version
    - git debrebase to refresh the patches
  * Bump debhelper compat to 13
    - Mark hp-uiscan as not-installed

 -- Didier Raboud <odyx@debian.org>  Sat, 16 May 2020 11:28:23 +0200

hplip (3.20.3+dfsg0-2) unstable; urgency=medium

  * Patch upstream for python3.8 support:
    - Fix SyntaxWarning: "is"/"is not" with a literal (Closes: #955168,
      #954732, LP: #1870019)
    - Assume the python3-distro package is available, depend on it
      (Closes: #955137)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Apr 2020 08:51:28 +0200

hplip (3.20.3+dfsg0-1) unstable; urgency=medium

  * New 3.20.3 upstream version
    - Drop the reversal patch for io/hpmud/jd.c as this was "fixed" upstream

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2020 17:59:47 +0100

hplip (3.20.2+dfsg0-3) unstable; urgency=high

  * Fix dpkg-statoverride calls (Closes: #953318)
  * Add patch to revert 3.20.2 change to io/hpmud/jd.c (hopefully fixing
    some print failures)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Mar 2020 14:15:39 +0100

hplip (3.20.2+dfsg0-2) unstable; urgency=medium

  * Drop dpkg-statoverrides as they are pointless (in /run and /var/run)
  * (Closes: #952780)
  * Empty hplip-data's /usr/share/hplip/*/__pycache__ in prerm
    (Closes: #953097)
  * Backport Ubuntu patch from Matthias Klose to fix building with Python 3.8
    (Closes: #953095, #946561)

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Mar 2020 17:13:48 +0100

hplip (3.20.2+dfsg0-1) unstable; urgency=medium

  * New 3.20.2 upstream version
  * Packaging cleanup:
    - Wrap long lines in some changelog entries
    - Cleanup d/control from old version requirements
    - Bump Standards-Version to 4.5.0 without changes needed
    - Set hplip home to /run/hplip, not /var/run/hplip

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2020 19:34:44 +0100

hplip (3.19.12+dfsg0-4) unstable; urgency=medium

  * Import 34 patches from Fedora, which huge thanks to them!
    - Replace Debian-specific "Convert str.translate to a py3-compatible
      version" with Fedora's "hp-setup fails on fax setup - use binary
      strings" (Closes: #948932)
    [ Tim Waugh ]
    - Replace rubbish pstotiff filter
    - Fix strstr const
    - Retry when connecting to device fails
    - Mark SNMP quirks for two lying devices
    - Fix bogus low ink warning from hpijs driver
    - Clear old state reasons
    - Avoid busy loop in hpcups when backend has exited
    - CUPS filters should use TMPDIR when available
    - Fixed Device ID parsing code in hpijs's dj9xxvip.c
    - Fixed left/right margins for HP DeskJet 990C
    - Fixed uses of strncpy throughout
    - Ignore IOError when logging output
    - Fixed hpcups crash when required plugin missing
    [ Jiří Popelka ]
    - Added several IEEE 1284 Device IDs
    - IEEE1284 Device ID for HP LaserJet 4000
    - Fix ImageableArea for Laserjet 8150/9000
    - Fix parsing of avahi-daemon output
    [ Zdenek Dohnal ]
    - Exit if source cannot be fetched from device
    - hp-check shows 'CUPS incompatible or not running' even if CUPS is
      running
    - hp-firmware:NameError: name 'INTERACTIVE_MODE4' is not defined
    - hp-setup fails on fax setup - use binary strings
    - Fixed hp-setup crash when user wants to define path to PPD file
    - Ignore symlinks when installing plugins
    - Scanning broken for HP LaserJet 3052
    - Cannot scan with M281fdw LaserJet - failed: Error during device I/O
      (Closes: #945109)
    - Fixing issues found by coverity scan
    - [abrt] hplip: strlen(): hp killed by SIGSEGV
    - [abrt] hp-systray:BlockingIOError: [Errno 11] Resource temporarily
      unavailable
    - Missing drivers (Closes: #949578)
    [ Tomas Korbar ]
    - Fix TypeError
    - Fix TypeError in hpfax
    - Fix AttributeError when connecting to printer via wifi

 -- Didier Raboud <odyx@debian.org>  Fri, 31 Jan 2020 13:54:10 +0100

hplip (3.19.12+dfsg0-3) unstable; urgency=medium

  * Convert str.translate to a py3-compatible version (Closes: #948932)

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jan 2020 15:12:43 +0100

hplip (3.19.12+dfsg0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Build with libusb-1.0 on any non-kfreebsd platform (Closes: #947824)

 -- Didier Raboud <odyx@debian.org>  Tue, 31 Dec 2019 10:45:28 +0100

hplip (3.19.12+dfsg0-1) unstable; urgency=medium

  * New 3.19.12 upstream version

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Dec 2019 15:07:03 +0100

hplip (3.19.11+dfsg0-1) unstable; urgency=medium

  * New 3.19.11 upstream version

  * Bump Standards-Version to 4.4.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Nov 2019 10:23:10 +0100

hplip (3.19.8+dfsg0-7) unstable; urgency=medium

  [ Didier Raboud ]
  * Fix dat2drv.py to run with python3; run it at build-time to recreate the
    .drv.in files from their templates

  [ Till Kamppeter ]
  * Remove all page size choices named "Custom". they break with CUPS and are
    also identical with US Legal

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Oct 2019 21:57:52 +0200

hplip (3.19.8+dfsg0-6) unstable; urgency=medium

  * Fix autopkgtests:
    - hpcups: Only test drivers that don't need a proprietary driver
    - hpijs: drop test; as it's too hard to determine which don't need a
      proprietary driver
  * Fix HEAD-instead-of-GET patch: follow redirects
  * Circumvent new CUPS restriction against 'Custom' in PPD options
    through modifying all printer-driver-postscript-hp ppds to use
    'Customized'

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Sep 2019 16:56:59 +0200

hplip (3.19.8+dfsg0-5) unstable; urgency=medium

  * Autopkgtests: only test a subset of printers

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Sep 2019 14:01:17 +0200

hplip (3.19.8+dfsg0-4) unstable; urgency=medium

  * Add autopkgtests
  * Fix hp-doctor shebang to also use python3
  * Patch upstream code to enforce Debian assumptions:
    - The distro version is supported
    - Auto installation is not allowed
    - Forbid hplip's installer to install "missing" packages by itself
  * printer-driver-postscript-hp: fix driver regexp for the CUPS trigger

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Sep 2019 19:02:38 +0200

hplip (3.19.8+dfsg0-3) unstable; urgency=medium

  * Cleanup patch queue:
    - Remove all manual patch names
    - Rewrite libhpmud.so.0 dlopen call

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Sep 2019 09:22:23 +0200

hplip (3.19.8+dfsg0-2) unstable; urgency=medium

  [ Brian Potkin ]
  * Drop 'parallel-port' mentions in package descriptions
    (Closes: #933941)

  [ Didier Raboud ]
  * Fix version pattern check to support ghostscript RC versions
  * Fix the PIL.Image version check, to work with  Pillow > 6
  * Don't gpg --import, but rely on installed signing_key.asc
  * Shortcut distros.dat finding to point to where it is
  * Accelerate HTTP check by doing a HEAD, not a GET

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Sep 2019 08:54:05 +0200

hplip (3.19.8+dfsg0-1) unstable; urgency=low

  * New 3.19.8 upstream version; to unstable

  * Convert from gbp dbm to debrebase
  * Path some typos in BUG and DBG messages
  * Minor packaging updates
    - Use secure URI in debian/watch
    - Update standards version, no changes needed
    - Bump debhelper from old 11 to 12
    - Set upstream metadata fields: Archive, Bug-Submit
    - Fix day-of-week for some old changelog entries
  * DFSG-repack:
    - Drop compiled locatedriver and prnt/plugins/*.so
    - Drop unlicensed files from tarball root
    - Remove compiled libImageProcessor i386 & amd64 shared libraries
      artifacts as they don't come with source

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Sep 2019 17:25:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog printer-driver-postscript-hp`.
